=== debian/changelog ===
indi-fli (1.5-2) unstable; urgency=medium

  * upload source
  * debian/control: move maintainer to debian-astro
  * debian/control: add VCS entries
  * do not install 99-fli.rules here (Closes: #1002548)

 -- Thorsten Alteholz <debian@alteholz.de>  Fri, 28 Jan 2022 22:51:23 +0100

indi-fli (1.5-1) unstable; urgency=medium

  * initial version

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 23 Dec 2021 11:51:23 +0000
