=== debian/control ===
Source: indi-fli
Section: science
Priority: optional
Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders: Thorsten Alteholz <debian@alteholz.de>
Build-Depends: debhelper-compat (= 13)
	, cmake
	, libusb-1.0-0-dev
	, libfli-dev
	, libindi-dev
	, zlib1g-dev
	, libcfitsio-dev
Standards-Version: 4.6.0
Homepage: https://github.com/indilib/indi-3rdparty
Rules-Requires-Root: no
XS-Autobuild: yes
Vcs-Browser: https://salsa.debian.org/debian-astro-team/libfli
Vcs-Git: https://salsa.debian.org/debian-astro-team/libfli.git

Package: indi-fli
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
	, libfli2
Description: INDI driver for FLI CCD & Focuser
 This package contains an INDI driver for Finger Lakes Instruments
 CCD and Focuser.
 .
 This driver is compatible with any INDI client such as KStars or Xephem.
