=== debian/changelog ===
indi-fli (1.5+20221225141318-1) unstable; urgency=medium

  * build version from git
  * based on indi-3rdparty release 1.9.9
  * new upstream version 1.5

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 25 Dec 2022 14:14:32 +0000

indi-fli (1.5-3) unstable; urgency=medium

  * debian/control: use correct URLs for VCS*

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 11 Jun 2022 19:51:23 +0200
