=== debian/control ===
--- 
+++ 
@@ -14,8 +14,8 @@
 Homepage: https://github.com/indilib/indi-3rdparty
 Rules-Requires-Root: no
 XS-Autobuild: yes
-Vcs-Browser: https://salsa.debian.org/debian-astro-team/libfli
-Vcs-Git: https://salsa.debian.org/debian-astro-team/libfli.git
+Vcs-Browser: https://salsa.debian.org/debian-astro-team/indi-fli
+Vcs-Git: https://salsa.debian.org/debian-astro-team/indi-fli.git
 
 Package: indi-fli
 Architecture: any
